Bug 1021762 - There is no API to exclude a user in a group to claim a task
There is no API to exclude a user in a group to claim a task
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Maciej Swiderski
Ivo Bek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 22:59 EDT by David Tse
Modified: 2017-12-07 18:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Tse 2013-10-21 22:59:10 EDT
Description of problem: There is no API to exclude a user in a group to claim a task.  Client has a double blind requirement for claiming human task.  
a. Claiming a task is based on Group.
b. User1 belong to Group1 is allow to claim Task1.  On completion of Task1, the workflow will generate a second related task, Task2.
c. The double blind requirement for review requires that Task2 to be claim by any user belongs to Group1 except User1.

The data model has exclowner table but the is no API to make double blind requirement claim.



Version-Release number of selected component (if applicable): 6.0.0


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Kris Verlaenen 2013-10-22 08:26:33 EDT
Mauricio, the model allows you to specify excluded owners, but they are not taken into account when performing the claim / delegate operation for example.  The task service logic should probably be updated to take excluded owners into account as well.  Having a way to set the excluded owners through the human task handlers would be necessary as well.
Comment 3 Mauricio Salatino 2013-10-22 10:42:04 EDT
Yeah.. Interesting use case.. we can do that and then add an extra box in the assignments configurations for the task in the UI to add the excluded owners.
Comment 5 Bugzilla account termination 2017-12-07 18:34:36 EST
Employee 'msalatin@redhat.com' has left the company.

Note You need to log in before you can comment on or make changes to this bug.